KintsugiKintsugi
API reference / Create product

Create product

POST/v1/products

The Create Product API allows users to manually create a new product in the system. This includes specifying product details such as category, subcategory, and tax exemption status, etc. You can retrieve supported categories and subcategories from GET /products/categories endpoint

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Body

external_idstringRequired

A unique external identifier for the product.

namestringRequired

The name of the product.

descriptionstring

A description of the product.

statusProductStatusEnum

The approval status of the product.

Available options:APPROVEDPARTIALLY_APPROVEDPENDING
product_categoryProductCategoryEnumRequired

The high-level category of the product.

Available options:PHYSICALDIGITALSERVICEUNKNOWNMISCELLANEOUS
product_subcategoryProductSubCategoryEnumRequired

The subcategory of the product.

Available options:UNKNOWNSAASDIGITAL_GENERALB2B_SAASSOFTWARE_ON_PERSONAL_PROPERTYSOFTWARE_DOWNLOADEDCUSTOM_SOFTWARE_ON_PERSONAL_PROPERTYCUSTOM_SOFTWARE_DOWNLOADEDCUSTOMIZATION_OF_SOFTWAREB2C_SAASIAASSERVICE_GENERALPROFESSIONAL_SERVICETANGIBLE_PROPERTY_SERVICEREAL_PROPERTY_SERVICEBUSINESS_SERVICEPERSONAL_SERVICEAMUSEMENT_SERVICEMEDICAL_SERVICESSECURITY_SERVICES_ELECTRONIC_MONITORINGFACILITY_MAINTENANCE_REAL_PROPERTY_LABOR_ONLYCOMMERCIAL_RENOVATION_CAPITAL_IMPROVEMENT_LABORCOMMERCIAL_CONSTRUCTION_EXISTING_BUILDINGS_LABORPHYSICAL_GENERALGENERAL_CLOTHINGCATERINGGROCERY_FOODLEASES_AND_RENTALS_MOTOR_VEHICLESLEASES_AND_RENTALS_TANGIBLE_MEDIA_PROPERTYMACHINERYRAW_MATERIALSUTILITIES_FUELMEDICAL_DEVICESMEDICINESNEWSPAPERSPERIODICALSGENERAL_OCCASIONAL_SALESMOTOR_VEHICLES_OCCASIONAL_SALESGENERAL_OPTIONAL_MAINTENANCE_CONTRACTSPARTS_PURCHASED_OPTIONAL_MAINTENANCE_CONTRACTSGENERAL_POLLUTION_CONTROL_EQUIPMENTGENERAL_TRADE_INSFOOD_VENDING_MACHINEMERCHANDISE_VENDING_MACHINESUPPLEMENTSFEMININE_HYGIENEORAL_HYGIENEBEVERAGE_NUTRITION_LABEL_ENERGY_SHOTS_AND_DRINKSDIETARY_SUPPLEMENTS_SUPPLEMENT_FACTS_LABEL_RETAILADVERTISING_MEDIA_INSERT_DISTRIBUTED_BY_NEWSPAPERADVERTISING_MEDIA_INSERT_DISTRIBUTED_BY_MAIL_PACKAGEMAINTENANCE_SERVICES_MATERIALSNUTRITION_BARSSHIPPINGGIFT_CARDCREDIT_CARD_SURCHARGESCREDIT_CARD_FEESMISCELLANEOUS_EXEMPTDISCOUNTGIFT_WRAPPINGHANDLINGTAXDANCE_LESSONS
tax_exemptbooleanRequired

Specifies whether the product is tax-exempt.

sourceSourceEnum

Indicates the source of the product.

Available options:BIGCOMMERCEBESTBUYBUNNYCHARGEBEESHOPIFYSTRIPEAMAZONTIKTOKCUSTOMUNKNOWNIMPORTZUORAAPIDECKQUICKBOOKSAPIAPPLE_APP_STOREGOOGLE_APP_STOREWALMARTPAYPALNETSUITEXEROMAXIORECURLYSALESFORCEETSYEBAYWIXSQUARESPACEWOOCOMMERCEMAGENTOBILLING_PLATFORMDEELRIPPLINGGUSTOFACEBOOKOTHERORDWAYINSTAGRAMPINTERESTWAYFAIRWISHPOSTARGETNEWEGGGROUPONGOOGLE_EXPRESSNOCNOCMERCADO_LIBREMODALYSTNORDSTROMFAIRESHOPWAREZOHOSAGE-INTACCTAIRWALLEXORBZENSKARMICROSOFT_DYNAMICS_365KICKSTARTERINTERNAL_ERP

Response

idstringRequired
external_idstringRequired
skustring[]Required
codestringRequired
namestringRequired
descriptionstringRequired
statusProductStatusEnumRequired
Available options:APPROVEDPARTIALLY_APPROVEDPENDING
product_categorystringRequired

Main category of the product. For example, Physical, Digital, etc. You can retrieve supported categories from GET /products/categories endpoint

product_subcategorystringRequired

Subcategory of the product. For example, General Clothing, UNKNOWN, etc. You can retrieve supported subcategories from GET /products/categories endpoint

tax_exemptbooleanRequired
sourceSourceEnumRequired
Available options:BIGCOMMERCEBESTBUYBUNNYCHARGEBEESHOPIFYSTRIPEAMAZONTIKTOKCUSTOMUNKNOWNIMPORTZUORAAPIDECKQUICKBOOKSAPIAPPLE_APP_STOREGOOGLE_APP_STOREWALMARTPAYPALNETSUITEXEROMAXIORECURLYSALESFORCEETSYEBAYWIXSQUARESPACEWOOCOMMERCEMAGENTOBILLING_PLATFORMDEELRIPPLINGGUSTOFACEBOOKOTHERORDWAYINSTAGRAMPINTERESTWAYFAIRWISHPOSTARGETNEWEGGGROUPONGOOGLE_EXPRESSNOCNOCMERCADO_LIBREMODALYSTNORDSTROMFAIRESHOPWAREZOHOSAGE-INTACCTAIRWALLEXORBZENSKARMICROSOFT_DYNAMICS_365KICKSTARTERINTERNAL_ERP
connection_idstringRequired
classification_failedbooleanRequired
200

Successfully created product

401

Unauthenticated request.

422

Validation error

500

Internal server error

cURL
POST /v1/products
-H "x-api-key: ***"
-H "x-organization-id: ***"
{
"external_id": "prod_001",
"name": "T-shirts",
"description": "Common items of everyday wearing apparel designed for human use, covering a wide variety of non-specialized garments.",
"status": "APPROVED",
"product_category": "Physical",
"product_subcategory": "General Clothing",
"tax_exempt": false,
"source": "BIGCOMMERCE"
}
Response
{
"id": "prod_xR9t8P1wMK6aQ",
"external_id": "prod_123",
"code": "CODE_1234",
"name": "Test Product",
"description": "This is a test product description.",
"status": "APPROVED",
"product_category": "Physical",
"product_subcategory": "General Clothing",
"tax_exempt": false,
"source": "SHOPIFY",
"classification_failed": false
}